Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Functions
HDF5 Library JNI Exception Interface

## Detailed Description

## Functions
long | getMajorErrorNumber ()
String | getMinorError (long err_code)
long | getMinorErrorNumber ()
| HDF5AttributeException ()
| HDF5AttributeException (String s)
| HDF5BtreeException ()
| HDF5BtreeException (String s)
| HDF5DataFiltersException ()
| HDF5DataFiltersException (String s)
| HDF5DatasetInterfaceException ()
| HDF5DatasetInterfaceException (String s)
| HDF5DataspaceInterfaceException ()
| HDF5DataspaceInterfaceException (String s)
| HDF5DataStorageException ()
| HDF5DataStorageException (String s)
| HDF5DatatypeInterfaceException ()
| HDF5DatatypeInterfaceException (String s)
| HDF5ExternalFileListException ()
| HDF5ExternalFileListException (String s)
| HDF5FileInterfaceException ()
| HDF5FileInterfaceException (String s)
| HDF5FunctionArgumentException ()
| HDF5FunctionArgumentException (String s)
| HDF5FunctionEntryExitException ()
| HDF5FunctionEntryExitException (String s)
| HDF5HeapException ()
| HDF5HeapException (String s)
| HDF5IdException ()
| HDF5IdException (String s)
| HDF5InternalErrorException ()
| HDF5InternalErrorException (String s)
| HDF5LibraryException ()
| HDF5LibraryException (String s)
| HDF5LowLevelIOException ()
| HDF5LowLevelIOException (String s)
| HDF5MetaDataCacheException ()
| HDF5MetaDataCacheException (String s)
| HDF5ObjectHeaderException ()
| HDF5ObjectHeaderException (String s)
| HDF5PropertyListInterfaceException ()
| HDF5PropertyListInterfaceException (String s)
| HDF5ReferenceException ()
| HDF5ReferenceException (String s)
| HDF5ResourceUnavailableException ()
| HDF5ResourceUnavailableException (String s)
| HDF5SymbolTableException ()
| HDF5SymbolTableException (String s)
void | printStackTrace ()
void | printStackTrace (java.io.File f)

## Function Documentation

## ◆ getMajorErrorNumber()

long getMajorErrorNumber | ( |  | ) |

Get the major error number of the first error on the HDF5 library error stack.

Returns
  the major error number

## ◆ getMinorError()

String getMinorError | ( | long | err_code | ) |

Return an error message for the minor error number.

These messages come from Error Handling (H5E).

Parameters

  err_code | the error code

Returns
  the string of the minor error

## ◆ getMinorErrorNumber()

long getMinorErrorNumber | ( |  | ) |

Get the minor error number of the first error on the HDF5 library error stack.

Returns
  the minor error number

## ◆ HDF5AttributeException() [1/2]

HDF5AttributeException | ( |  | ) |

Constructs an `HDF5AttributeException` with no specified detail message.

## ◆ HDF5AttributeException() [2/2]

HDF5AttributeException | ( | String | s | ) |

Constructs an `HDF5AttributeException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5BtreeException() [1/2]

HDF5BtreeException | ( |  | ) |

Constructs an `HDF5BtreeException` with no specified detail message.

## ◆ HDF5BtreeException() [2/2]

HDF5BtreeException | ( | String | s | ) |

Constructs an `HDF5BtreeException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5DataFiltersException() [1/2]

HDF5DataFiltersException | ( |  | ) |

Constructs an `HDF5DataFiltersException` with no specified detail message.

## ◆ HDF5DataFiltersException() [2/2]

HDF5DataFiltersException | ( | String | s | ) |

Constructs an `HDF5DataFiltersException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5DatasetInterfaceException() [1/2]

HDF5DatasetInterfaceException | ( |  | ) |

Constructs an `HDF5DatasetInterfaceException` with no specified detail message.

## ◆ HDF5DatasetInterfaceException() [2/2]

HDF5DatasetInterfaceException | ( | String | s | ) |

Constructs an `HDF5DatasetInterfaceException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5DataspaceInterfaceException() [1/2]

HDF5DataspaceInterfaceException | ( |  | ) |

Constructs an `HDF5DataspaceInterfaceException` with no specified detail message.

## ◆ HDF5DataspaceInterfaceException() [2/2]

HDF5DataspaceInterfaceException | ( | String | s | ) |

Constructs an `HDF5DataspaceInterfaceException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5DataStorageException() [1/2]

HDF5DataStorageException | ( |  | ) |

Constructs an `HDF5DataStorageExceptionn` with no specified detail message.

## ◆ HDF5DataStorageException() [2/2]

HDF5DataStorageException | ( | String | s | ) |

Constructs an `HDF5DataStorageException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5DatatypeInterfaceException() [1/2]

HDF5DatatypeInterfaceException | ( |  | ) |

Constructs an `HDF5DatatypeInterfaceException` with no specified detail message.

## ◆ HDF5DatatypeInterfaceException() [2/2]

HDF5DatatypeInterfaceException | ( | String | s | ) |

Constructs an `HDF5DatatypeInterfaceException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5ExternalFileListException() [1/2]

HDF5ExternalFileListException | ( |  | ) |

Constructs an `HDF5ExternalFileListException` with no specified detail message.

## ◆ HDF5ExternalFileListException() [2/2]

HDF5ExternalFileListException | ( | String | s | ) |

Constructs an `HDF5ExternalFileListException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5FileInterfaceException() [1/2]

HDF5FileInterfaceException | ( |  | ) |

Constructs an `HDF5FileInterfaceException` with no specified detail message.

## ◆ HDF5FileInterfaceException() [2/2]

HDF5FileInterfaceException | ( | String | s | ) |

Constructs an `HDF5FileInterfaceException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5FunctionArgumentException() [1/2]

HDF5FunctionArgumentException | ( |  | ) |

Constructs an `HDF5FunctionArgumentException` with no specified detail message.

## ◆ HDF5FunctionArgumentException() [2/2]

HDF5FunctionArgumentException | ( | String | s | ) |

Constructs an `HDF5FunctionArgumentException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5FunctionEntryExitException() [1/2]

HDF5FunctionEntryExitException | ( |  | ) |

Constructs an `HDF5FunctionEntryExitException` with no specified detail message.

## ◆ HDF5FunctionEntryExitException() [2/2]

HDF5FunctionEntryExitException | ( | String | s | ) |

Constructs an `HDF5FunctionEntryExitException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5HeapException() [1/2]

HDF5HeapException | ( |  | ) |

Constructs an `HDF5HeapException` with no specified detail message.

## ◆ HDF5HeapException() [2/2]

HDF5HeapException | ( | String | s | ) |

Constructs an `HDF5HeapException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5IdException() [1/2]

HDF5IdException | ( |  | ) |

Constructs an `HDF5IdException` with no specified detail message.

## ◆ HDF5IdException() [2/2]

HDF5IdException | ( | String | s | ) |

Constructs an `HDF5IdException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5InternalErrorException() [1/2]

HDF5InternalErrorException | ( |  | ) |

Constructs an `HDF5InternalErrorException` with no specified detail message.

## ◆ HDF5InternalErrorException() [2/2]

HDF5InternalErrorException | ( | String | s | ) |

Constructs an `HDF5InternalErrorException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5LibraryException() [1/2]

HDF5LibraryException | ( |  | ) |

Constructs an `HDF5LibraryException` with no specified detail message.

## ◆ HDF5LibraryException() [2/2]

HDF5LibraryException | ( | String | s | ) |

Constructs an `HDF5LibraryException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5LowLevelIOException() [1/2]

HDF5LowLevelIOException | ( |  | ) |

Constructs an `HDF5LowLevelIOException` with no specified detail message.

## ◆ HDF5LowLevelIOException() [2/2]

HDF5LowLevelIOException | ( | String | s | ) |

Constructs an `HDF5LowLevelIOException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5MetaDataCacheException() [1/2]

HDF5MetaDataCacheException | ( |  | ) |

Constructs an `HDF5MetaDataCacheException` with no specified detail message.

## ◆ HDF5MetaDataCacheException() [2/2]

HDF5MetaDataCacheException | ( | String | s | ) |

Constructs an `HDF5MetaDataCacheException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5ObjectHeaderException() [1/2]

HDF5ObjectHeaderException | ( |  | ) |

Constructs an `HDF5ObjectHeaderException` with no specified detail message.

## ◆ HDF5ObjectHeaderException() [2/2]

HDF5ObjectHeaderException | ( | String | s | ) |

Constructs an `HDF5ObjectHeaderException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5PropertyListInterfaceException() [1/2]

HDF5PropertyListInterfaceException | ( |  | ) |

Constructs an `HDF5PropertyListInterfaceException` with no specified detail message.

## ◆ HDF5PropertyListInterfaceException() [2/2]

HDF5PropertyListInterfaceException | ( | String | s | ) |

Constructs an `HDF5PropertyListInterfaceException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5ReferenceException() [1/2]

HDF5ReferenceException | ( |  | ) |

Constructs an `HDF5ReferenceException` with no specified detail message.

## ◆ HDF5ReferenceException() [2/2]

HDF5ReferenceException | ( | String | s | ) |

Constructs an `HDF5ReferenceException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5ResourceUnavailableException() [1/2]

HDF5ResourceUnavailableException | ( |  | ) |

Constructs an `HDF5ResourceUnavailableException` with no specified detail message.

## ◆ HDF5ResourceUnavailableException() [2/2]

HDF5ResourceUnavailableException | ( | String | s | ) |

Constructs an `HDF5FunctionArgumentException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ HDF5SymbolTableException() [1/2]

HDF5SymbolTableException | ( |  | ) |

Constructs an `HDF5SymbolTableException` with no specified detail message.

## ◆ HDF5SymbolTableException() [2/2]

HDF5SymbolTableException | ( | String | s | ) |

Constructs an `HDF5SymbolTableException` with the specified detail message.

Parameters

  s | the detail message.

## ◆ printStackTrace() [1/2]

void printStackTrace | ( |  | ) |

Prints this `HDF5LibraryException`, the HDF5 Library error stack, and and the Java stack trace to the standard error stream.

## ◆ printStackTrace() [2/2]

void printStackTrace | ( | java.io.File | f | ) |

Prints this `HDF5LibraryException` the HDF5 Library error stack, and and the Java stack trace to the specified print stream.

Parameters

  f | the file print stream.